%define __spec_install_post %{nil}
%define __os_install_post %{nil}
%define datadir %{_localstatedir}/lib/mysql
%ifarch i686
%define arch i686
%else
%define arch %{_arch} 
%endif

Name:		mysql
Version:	5.5.41
Release:	1%{?dist}
Epoch:		1
Summary:	MySQL client programs and shared libraries
Summary(ko): MySQL 클라이언트 프로그램과 공유 라이브러리

Group:		Applications/Databases
License:	GPLv2 with exceptions
URL:		http://www.mysql.com
#Source0:	http://ftp.jaist.ac.jp/pub/mysql/Downloads/MySQL-5.5/%{name}-%{version}-linux2.6-%{arch}.tar.gz
Source2:	my.cnf
Source3:	mysqld.init
Source4:	mysql.sysconfig
Source5:	scriptstub.c
Source7:	mysql-init-function
Source8:	mysqld.sandbox
Source9:	mysbox
Source10:	mysql.profile.sh
Source11:	mysql.profile.csh
Source12:	mysql.logrotate

Source101:	https://launchpad.net/mysql-tuning-primer/trunk/tuning-primer.sh-1.6-r1-r28
Source102:	mysqltuner.pl-1.2.0
Source103:	mysqlfragfinder.sh-1.0.0
Source104:	numa-maps-summary.pl
Source200:	compat-5.1.73-3.el6_5.x86_64.tar.bz2
Source201:	compat-5.1.73-3.el6_5.i686.tar.bz2

Patch0:		mysql-rpm.patch
Patch1:		mysql-rpm-x86.patch
Patch2:		mysql-annyung.patch
Patch3:		mysql-annyung-x86.patch
Patch100:	tuning-primer-join-buffer.patch

# Working around perl dependency checking bug in rpm FTTB. Remove later.
Source999: filter-requires-mysql.sh
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	openssl-devel, libstdc++-devel
Requires:	grep, coreutils, libstdc++, numactl
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	bash

Conflicts:	MySQL
Obsoletes: mysql-cluster < 5.1.44

%global __perl_requires %{SOURCE999}

%description
MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. The base package
contains the standard MySQL client programs and generic MySQL files.

%package libs

Summary: The shared libraries required for MySQL clients
Summary(ko): MySQL clients에 필요한 공유 라이브러리
Group: Applications/Databases
Requires: /sbin/ldconfig

%description libs
The mysql-libs package provides the essential shared libraries for any 
MySQL client program or interface. You will need to install this package
to use any other MySQL package or any clients that need to connect to a
MySQL server.

%package server

Summary: The MySQL server and related files
Summary(ko): MySQL 서버와 관련 파일들
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: sh-utils
Requires(pre): /usr/sbin/useradd
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
Requires(postun): initscripts
# mysqlhotcopy needs DBI/DBD support
Requires: perl-DBI, perl-DBD-MySQL
Conflicts: MySQL-server

%description server
MySQL is a multi-user, multi-threaded SQL database server. MySQL is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. This package contains
the MySQL server and some accompanying files and directories.

%package devel

Summary: Files for development of MySQL applications
Summary(ko): MySQL 응용 프로그램 개발을 위한 파일들
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: openssl-devel
Conflicts: MySQL-devel

%description devel
MySQL is a multi-user, multi-threaded SQL database server. This
package contains the libraries and header files that are needed for
developing MySQL client applications.

%package embedded

Summary: MySQL as an embeddable library
Summary(ko): MySQL 임베디드 라이브러리
Group: Applications/Databases

%description embedded
MySQL is a multi-user, multi-threaded SQL database server. This
package contains a version of the MySQL server that can be embedded
into a client application instead of running as a separate process.

%package embedded-devel

Summary: Development files for MySQL as an embeddable library
Summary(ko): MySQL 임베디드 라이브러리를 위한 개발 파일들
Group: Applications/Databases
Requires: %{name}-embedded = %{epoch}:%{version}-%{release}
Requires: %{name}-devel = %{epoch}:%{version}-%{release}

%description embedded-devel
MySQL is a multi-user, multi-threaded SQL database server. This
package contains files needed for developing and testing with
the embedded version of the MySQL server.

%package bench

Summary: MySQL benchmark scripts and data
Summary(ko): MySQL 벤치마크 스크립트와 데이터
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Conflicts: MySQL-bench

%description bench
MySQL is a multi-user, multi-threaded SQL database server. This
package contains benchmark scripts and data for use when benchmarking
MySQL.

%package test

Summary: The test suite distributed with MySQL
Summary(ko): MySQL에서 배포하는 테스트 도구
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-server = %{epoch}:%{version}-%{release}
Conflicts: MySQL-test

%description test
MySQL is a multi-user, multi-threaded SQL database server. This
package contains the regression test suite distributed with
the MySQL sources.



%prep
%setup -c -T -n %{name}-%{version}-linux2.6-%{arch}

curl -o %{name}-%{version}-linux2.6-%{arch}.tar.gz \
	http://ftp.jaist.ac.jp/pub/mysql/Downloads/MySQL-5.5/mysql-%{version}-linux2.6-%{arch}.tar.gz

tar xvfpz %{name}-%{version}-linux2.6-%{arch}.tar.gz >& /dev/null
mv %{name}-%{version}-linux2.6-%{arch}/* ./
rm -rf %{name}-%{version}-linux2.6-%{arch}/

%ifarch x86_64
%patch0 -p1
%patch2 -p1
%else
%patch1 -p1
%patch3 -p1
%endif

%{__mkdir} sbin
%{__mv} bin/mysqld sbin/

%build
%{__chown} -R root:root *
gcc $CFLAGS $LDFLAGS -o scriptstub "-DLIBDIR=\"%{_libdir}/mysql\"" %{SOURCE5}

# regular build will make libmysqld.a but not libmysqld.so :-(
mkdir work
cd work
ar -x ../lib/libmysqld.a
gcc $CFLAGS $LDFLAGS -shared -Wl,-soname,libmysqld.so.0 -o libmysqld.so.0.0.1 \
	*.o \
	-lpthread -lcrypt -lnsl -lssl -lcrypto -lz -lrt -lstdc++ -lm -lc

%install
%{__rm} -rf %{buildroot}

find . -name "*.ini" -exec rm -f {} \;

%{__mkdir_p} %{buildroot}%{_sysconfdir}/{rc.d/init.d,sysconfig,mysql,logrotate.d}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}%{datadir}/default/{mysql,test}
%{__mkdir_p} %{buildroot}%{_includedir}/mysql
%{__mkdir_p} %{buildroot}%{_libdir}/mysql
%{__mkdir_p} %{buildroot}%{_datadir}/{aclocal,mysql}
%{__mkdir_p} %{buildroot}%{_mandir}/{man1,man8}
%{__mkdir_p} %{buildroot}%{_localstatedir}/run/mysqld
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/mysql
%{__mkdir_p} %{buildroot}%{_libexecdir}

%{__chmod} 750 %{buildroot}%{_sysconfdir}/mysql
%{__install} -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/mysql/my.cnf
%{__install} -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/rc.d/init.d/mysqld
%{__install} -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/mysqld
%{__install} -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/logrotate.d/mysqld

%{__install} -m 755 sbin/mysqld %{buildroot}%{_libexecdir}/
%{__install} -m 755 bin/* %{buildroot}%{_bindir}/

%{__install} -m 644 include/*.h %{buildroot}%{_includedir}/mysql/
%{__install} -d -m 755 %{buildroot}%{_includedir}/mysql/mysql
%{__install} -m 644 include/mysql/*.h %{buildroot}%{_includedir}/mysql/mysql/
%{__install} -d -m 755 %{buildroot}%{_includedir}/mysql/mysql/psi
%{__install} -m 644 include/mysql/psi/*.h %{buildroot}%{_includedir}/mysql/mysql/psi/

%{__cp} -af lib/*.so* %{buildroot}%{_libdir}/mysql/
%{__chmod} 755 %{buildroot}%{_libdir}/mysql/*.so*
%{__rm} -f %{buildroot}%{_libdir}/mysql/libmysqlclient_r.so.*
%{__ln_s} -f libmysqlclient.so.18.0.0 %{buildroot}%{_libdir}/mysql/libmysqlclient_r.so.18
%{__ln_s} -f libmysqlclient.so.18.0.0 %{buildroot}%{_libdir}/mysql/libmysqlclient_r.so.18.0.0

%{__install} -m 644 lib/*.a %{buildroot}%{_libdir}/mysql/
%{__install} -d -m 755 %{buildroot}%{_libdir}/mysql/plugin/
%{__install} -m 644 lib/plugin/*.so %{buildroot}%{_libdir}/mysql/plugin/

%{__cp} -af mysql-test/ %{buildroot}%{_datadir}/mysql-test/
%{__install} -m 644 share/aclocal/mysql.m4 %{buildroot}%{_datadir}/aclocal/
%{__cp} -af share/* %{buildroot}%{_datadir}/mysql/
%{__rm} -rf %{buildroot}%{_datadir}/mysql/aclocal/
%{__install} -m 644 man/man1/*.1* %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/man8/*.8* %{buildroot}%{_mandir}/man8/
%{__cp} -af sql-bench/ %{buildroot}%{_datadir}/sql-bench/

%{__install} -m 755 scripts/mysql_install_db %{buildroot}%{_bindir}/

#{__install} -m 644 %{SOURCE1} %{buildroot}%{_includedir}/mysql/my_config.h
%{__install} -m 755 work/*.so* %{buildroot}%{_libdir}/mysql/
%{__ln_s} libmysqld.so.0.0.1 %{buildroot}%{_libdir}/mysql/libmysqld.so.0
%{__ln_s} libmysqld.so.0 %{buildroot}%{_libdir}/mysql/libmysqld.so

find . -name "*.ini" -exec rm -f {} \;
%{__rm} -f %{buildroot}%{_bindir}/comp_err
%{__rm} -f %{buildroot}%{_mandir}/man1/comp_err.1*
%{__rm} -f %{buildroot}%{_mandir}/man1/mysql-stress-test.pl.1*
%{__rm} -f %{buildroot}%{_mandir}/man1/mysql-test-run.pl.1*

%{__rm} -f support-files/binary-configure
%{__rm} -f support-files/mysql.server
%{__rm} -f support-files/mysqld_multi.server
%{__install} -m 644 support-files/*.cnf %{buildroot}%{_datadir}/mysql/

%{__rm} -rf %{buildroot}%{_libdir}/mysql/plugin/debug


%{__mkdir_p} %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/mysql" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{arch}.conf

mv %{buildroot}%{_bindir}/mysqlbug %{buildroot}%{_libdir}/mysql/mysqlbug
%{__install} -m 0755 scriptstub %{buildroot}%{_bindir}/mysqlbug
mv ${RPM_BUILD_ROOT}%{_bindir}/mysql_config ${RPM_BUILD_ROOT}%{_libdir}/mysql/mysql_config
%{__install} -m 0755 scriptstub ${RPM_BUILD_ROOT}%{_bindir}/mysql_config

cd %{buildroot}%{_libdir}/mysql
%ifarch x86_64
tar xvfpj %{SOURCE200}
%else
tar xvfpj %{SOURCE201}
%endif
cd -

%{__install} -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/mysql/mysql-init-function
%{__install} -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/mysql/mysql-client-init-function
%{__install} -m 0755 %{SOURCE8} %{buildroot}%{_sbindir}/mysqld.sandbox
%{__install} -m 0755 %{SOURCE9} %{buildroot}%{_bindir}/mysbox

%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d
%{__install} -m 0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/profile.d/mysql.sh
%{__install} -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/profile.d/mysql.csh

# tuning script
%{__install} -m 755 %{SOURCE101} %{buildroot}%{_bindir}/mysql-tuning-primer
(
	cd %{buildroot}%{_bindir}/
	patch -p0 < ${RPM_SOURCE_DIR}/tuning-primer-join-buffer.patch
	cd -
)
%{__install} -m 755 %{SOURCE102} %{buildroot}%{_bindir}/mysql-tuner
%{__install} -m 755 %{SOURCE103} %{buildroot}%{_bindir}/mysql-fragfinder
%{__install} -m 755 %{SOURCE104} %{buildroot}%{_bindir}/numa-maps-summary

#
# fixed socket file path
#
#(
#	cd %{buildroot}%{_libdir}/mysql
#	perl -pi -e 's!/tmp/mysql.sock!/var/run/mysqld/mysql.sock!g' libmysqlclient.a
#	perl -pi -e 's!/tmp/mysql.sock!/var/run/mysqld/mysql.sock!g' libmysqld-debug.a
#	perl -pi -e 's!/tmp/mysql.sock!/var/run/mysqld/mysql.sock!g' libmysqld.a
#
#	perl -pi -e 's!/tmp/mysql.sock!/var/run/mysqld/mysql.sock!g' libmysqlclient.so.18.0.0
#	perl -pi -e 's!/var/lib/mysql/mysql.sock!/var/run/mysqld/mysql.sock!g' *.so.16.0.0
#	cd -
#)

%clean
%{__rm} -rf %{buildroot}

%pre server
/usr/sbin/groupadd -g 27 -o -r mysql > /dev/null 2>&1 || :
/usr/sbin/useradd -M -N -g mysql -o -r -G 2 -d /var/lib/mysql -s /sbin/nologin \
	-c "MySQL Server" -u 27 mysql >/dev/null 2>&1 || :

%post libs
/sbin/ldconfig

%post server
if [ $1 = 1 ]; then
    /sbin/chkconfig --add mysqld
fi

%preun server
if [ $1 = 0 ]; then
    /sbin/service mysqld stop >/dev/null 2>&1
    /sbin/chkconfig --del mysqld
fi

%postun libs
if [ $1 = 0 ] ; then
    /sbin/ldconfig
fi

%postun server
if [ $1 -ge 1 ]; then
	echo "Notice: mysqld don't restart!."
	echo "        Please, you must restart by hand."
    #/sbin/service mysqld condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root)
%{_bindir}/msql2mysql
%{_bindir}/mysql
%{_bindir}/mysql_config
%{_bindir}/mysql_find_rows
%{_bindir}/mysql_waitpid
%{_bindir}/mysqlaccess
%{_bindir}/mysqladmin
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
%{_bindir}/mysqldump
%{_bindir}/mysqlimport
%{_bindir}/mysqlshow
%{_bindir}/mysqlslap
%{_bindir}/my_print_defaults

%{_bindir}/mysql-tuning-primer
%{_bindir}/mysql-tuner
%{_bindir}/mysql-fragfinder
%{_bindir}/numa-maps-summary

%{_bindir}/mysbox
%{_datadir}/mysql/mysql-client-init-function

%{_sysconfdir}/profile.d/mysql.*

%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysql_config.1*
%{_mandir}/man1/mysql_find_rows.1*
%{_mandir}/man1/mysql_waitpid.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlshow.1*
%{_mandir}/man1/mysqlslap.1*
%{_mandir}/man1/my_print_defaults.1*

%{_libdir}/mysql/mysqlbug
%{_libdir}/mysql/mysql_config

%files libs
%defattr(-,root,root)

# although the default my.cnf contains only server settings, we put it in the
# libs package because it can be used for client settings too.
%dir %{_sysconfdir}/mysql
%config(noreplace) %{_sysconfdir}/mysql/my.cnf

%dir %{_libdir}/mysql
%attr(0755,root,root) %{_libdir}/mysql/libmysqlclient*.so.*
%attr(0755,root,root) %{_libdir}/mysql/libtcmalloc*
/etc/ld.so.conf.d/*

%dir %{_datadir}/mysql
%{_datadir}/mysql/errmsg-utf8.txt
%{_datadir}/mysql/english
%lang(cs) %{_datadir}/mysql/czech
%lang(da) %{_datadir}/mysql/danish
%lang(nl) %{_datadir}/mysql/dutch
%lang(et) %{_datadir}/mysql/estonian
%lang(fr) %{_datadir}/mysql/french
%lang(de) %{_datadir}/mysql/german
%lang(el) %{_datadir}/mysql/greek
%lang(hu) %{_datadir}/mysql/hungarian
%lang(it) %{_datadir}/mysql/italian
%lang(ja) %{_datadir}/mysql/japanese
%lang(ko) %{_datadir}/mysql/korean
%lang(no) %{_datadir}/mysql/norwegian
%lang(no) %{_datadir}/mysql/norwegian-ny
%lang(pl) %{_datadir}/mysql/polish
%lang(pt) %{_datadir}/mysql/portuguese
%lang(ro) %{_datadir}/mysql/romanian
%lang(ru) %{_datadir}/mysql/russian
%lang(sr) %{_datadir}/mysql/serbian
%lang(sk) %{_datadir}/mysql/slovak
%lang(es) %{_datadir}/mysql/spanish
%lang(sv) %{_datadir}/mysql/swedish
%lang(uk) %{_datadir}/mysql/ukrainian
%{_datadir}/mysql/charsets

%files server
%defattr(-,root,root)
%{_bindir}/myisamchk
%{_bindir}/myisam_ftdump
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/mysql_convert_table_format
%{_bindir}/mysql_fix_extensions
%{_bindir}/mysql_install_db
%{_bindir}/mysql_plugin
%{_bindir}/mysql_secure_installation
%{_bindir}/mysql_setpermission
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mysql_upgrade
%{_bindir}/mysql_zap
%{_bindir}/mysqlbug
%{_bindir}/mysqldumpslow
%{_bindir}/mysqld_multi
%{_bindir}/mysqld_safe
%{_bindir}/mysqlhotcopy
%{_bindir}/mysqltest
%{_bindir}/innochecksum
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolve_stack_dump
%{_bindir}/resolveip
%{_sbindir}/mysqld.sandbox

/usr/libexec/mysqld

%{_libdir}/mysql/plugin

%{_mandir}/man1/msql2mysql.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
%{_mandir}/man1/mysql_convert_table_format.1*
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/mysql.server.1*
%{_mandir}/man1/mysql_fix_extensions.1*
%{_mandir}/man1/mysql_install_db.1*
%{_mandir}/man1/mysql_plugin.1*
%{_mandir}/man1/mysql_secure_installation.1*
%{_mandir}/man1/mysql_upgrade.1*
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqlbug.1*
%{_mandir}/man1/mysqldumpslow.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlcheck.1*
%{_mandir}/man1/mysqld_multi.1*
%{_mandir}/man1/mysqld_safe.1*
%{_mandir}/man1/mysqlhotcopy.1*
%{_mandir}/man1/mysqlimport.1*
%{_mandir}/man1/mysqlman.1*
%{_mandir}/man1/mysql_setpermission.1*
%{_mandir}/man1/mysqltest.1*
%{_mandir}/man1/innochecksum.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/resolve_stack_dump.1*
%{_mandir}/man1/resolveip.1*
%{_mandir}/man1/mysql_tzinfo_to_sql.1*
%{_mandir}/man8/mysqld.8*

%{_datadir}/mysql/fill_help_tables.sql
%{_datadir}/mysql/mysql_system_tables.sql
%{_datadir}/mysql/mysql_system_tables_data.sql
%{_datadir}/mysql/mysql_test_data_timezone.sql
%{_datadir}/mysql/my-*.cnf
%{_datadir}/mysql/mysql-init-function

%{_sysconfdir}/rc.d/init.d/mysqld
%config(noreplace) %{_sysconfdir}/sysconfig/mysqld
%config(noreplace) %{_sysconfdir}/logrotate.d/mysqld
%attr(0755,mysql,mysql) %dir /var/run/mysqld
%attr(0750,mysql,mysql) %dir /var/lib/mysql
%attr(0770,root,mysql) %dir /var/log/mysql

%files devel
%defattr(-,root,root)
/usr/include/mysql
/usr/share/aclocal/mysql.m4
%{_libdir}/mysql/libmysqlclient*.so
%{_libdir}/mysql/*.a
%exclude %{_libdir}/mysql/libmysqld.a

%files embedded
%defattr(-,root,root)
%{_libdir}/mysql/libmysqld.so.*

%files embedded-devel
%defattr(-,root,root)
%{_libdir}/mysql/libmysqld.a
%{_libdir}/mysql/libmysqld.so
%{_bindir}/mysql_embedded
%{_bindir}/mysql_client_test_embedded
%{_bindir}/mysqltest_embedded
%{_mandir}/man1/mysql_client_test_embedded.1*
%{_mandir}/man1/mysqltest_embedded.1*

%files bench
%defattr(-,root,root)
%{_datadir}/sql-bench

%files test
%defattr(-,root,root)
%{_bindir}/mysql_client_test
%attr(-,mysql,mysql) %{_datadir}/mysql-test

%{_mandir}/man1/mysql_client_test.1*

%changelog
* Fri Jan 23 2015 JoungKyun.Kim <http://oops.org> 1:5.5.41-1%{?dist}
- update 5.5.41
  see also http://dev.mysql.com/doc/relnotes/mysql/5.5/en/news-5-5-41.html

* Fri Oct 10 2014 JoungKyun.Kim <http://oops.org> 1:5.5.40-1%{?dist}
- update 5.5.40

* Wed Sep 17 2014 JoungKyun.Kim <http://oops.org> 1:5.5.39-1%{?dist}
- update 5.5.39

* Wed Jun  4 2014 JoungKyun.Kim <http://oops.org> 1:5.5.38-1%{?dist}
- update 5.5.38

* Thu Apr 17 2014 JoungKyun.Kim <http://oops.org> 1:5.5.37-1%{?dist}
- update 5.5.37
- update compat library 5.1.73-3
- security issues
  . CVE-2014-2440 - for 5.5.36
  . CVE-2014-2436
  . CVE-2014-2431
  . CVE-2014-2430
  . CVE-2013-5908 - for compat library
  . CVE-2014-0001
  . CVE-2014-0386
  . CVE-2014-0393
  . CVE-2014-0401
  . CVE-2014-0402
  . CVE-2014-0412
  . CVE-2014-0437

* Sun Feb  2 2014 JoungKyun.Kim <http://oops.org> 1:5.5.36-1%{?dist}
- update 5.5.36

* Fri Dec 20 2013 JoungKyun.Kim <http://oops.org> 1:5.5.35-1%{?dist}
- update 5.5.35
- update compat library 5.1.71-1

* Fri Oct 25 2013 JoungKyun.Kim <http://oops.org> 1:5.5.34-1%{?dist}
- update 5.5.34
- security issues
  . CVE-2013-5807 allows remote authenticated users to affect confidentiality
    and integrity via unknown vectors related to Replication.
  . CVE-2013-3839 allows remote authenticated users to affect availability
    via unknown vectors related to Optimizer.

* Mon Aug  8 2013 JoungKyun.Kim <http://oops.org> 1:5.5.33-1%{?dist}
- update 5.5.33
- mysqld_safe실행시에 numactl inerleved mdoe로 실행
- mysqld 시작시에 cache memory drop
- numa-maps-summary 명령 추가

* Mon Jul  1 2013 JoungKyun.Kim <http://oops.org> 1:5.5.32-1%{?dist}
- update 5.5.32

* Fri Apr 26 2013 JoungKyun.Kim <http://oops.org> 1:5.5.31-1%{?dist}
- update 5.5.31
- security issues
  + 5.5.31 fixed
  . CVE-2013-1532 unspecified DoS related to Information Schema
  . CVE-2013-1544 unspecified DoS related to Data Manipulation Language
  . CVE-2013-2375 unspecified vulnerability related to Server Privileges
  . CVE-2013-2389 unspecified DoS related to InnoDB
  . CVE-2013-2391 unspecified vulnerability related to Server Install
  . CVE-2013-2392 unspecified DoS related to Server Optimizer
  + compat 5.1.69-1.el6_4
  . CVE-2012-5614 COM_BINLOG_DUMP crash on invalid data
  . CVE-2013-1506 unspecified DoS related to Server Locking
  . CVE-2013-1521 unspecified vulnerability related to Server Locking
  . CVE-2013-1531 unspecified vulnerability related to Server Privileges
  . CVE-2013-1532 unspecified DoS related to Information Schema
  . CVE-2013-1544 unspecified DoS related to Data Manipulation Language
  . CVE-2013-1548 unspecified DoS related to Server Types
  . CVE-2013-1552 unspecified vulnerability related to Server
  . CVE-2013-1555 unspecified DoS related to Server Partition
  . CVE-2013-2375 unspecified vulnerability related to Server Privileges
  . CVE-2013-2378 unspecified vulnerability related to Information Schema
  . CVE-2013-2389 unspecified DoS related to InnoDB
  . CVE-2013-2391 unspecified vulnerability related to Server Install
  . CVE-2013-2392 unspecified DoS related to Server Optimizer

* Thu Apr 18 2013 JoungKyun.Kim <http://oops.org> 1:5.5.30-2%{?dist}
- fixed mysbox operation error with non root privileges
- security issue
  . update mysql compat library 5.1.67-1.el6_3
  . It's only mysql-compat library.

  . CVE-2012-0572 unspecified DoS vulnerability related to InnoDB

  . CVE-2012-0574 unspecified DoS vulnerability related to Server

  . CVE-2012-1702
    unspecified unauthenticated DoS vulnerability related to Server

  . CVE-2012-1705
    unspecified DoS vulnerability related to Server Optimizer

  . CVE-2013-0375
    Unspecified vulnerability in the server replication of the Oracle
    MySQL server allows remote attackers to alter confidentiality and
    integrity

  . CVE-2013-0383
    unspecified unauthenticated DoS vulnerability related to Server Locking

  . CVE-2013-0384
    unspecified DoS vulnerability related to Information Schema

  . CVE-2013-0385
    Unspecified vulnerability in the server replication of the Oracle
    MySQL server allows local attackers to alter confidentiality and
    integrity

  . CVE-2013-0389
    unspecified DoS vulnerability related to Server Optimizer

* Sun Feb 10 2013 JoungKyun.Kim <http://oops.org> 1:5.5.30-1%{?dist}
- update 5.5.30
- tuning-primer upgrade

* Wed Jan 23 2013 JoungKyun.Kim <http://oops.org> 1:5.5.29-1%{?dist}
- fixed path on mysql_config
- update 5.5.29
- security fix rhel compat library CVE-2012-5611 

* Mon Nov 19 2012 JoungKyun.Kim <http://oops.org> 1:5.5.28-2%{?dist}
- enhanced permission
  chmod 750 /var/lib/mysql
  chmod 750 /var/log/mysql
  chmod 750 /etc/mysql
- apply /etc/sysconfig/mysql as configration

* Thu Oct 11 2012 JoungKyun.Kim <http://oops.org> 1:5.5.28-1%{?dist}
- udpate 5.5.28

* Wed Aug  8 2012 JoungKyun.Kim <http://oops.org> 1:5.5.27-1%{?dist}
- update 5.5.27
- update compat library 5.1.61-4.el6

* Wed Jun 13 2012 JoungKyun.Kim <http://oops.org> 1:5.5.25-1%{?dist}
- update 5.5.25
- fixed CVE-2012-2122

* Thu Apr 26 2012 JoungKyun.Kim <http://oops.org> 1:5.5.23-1%{?dist}
- update 5.5.23
- fixed mysbox shell error

* Sat Mar 24 2012 JoungKyun.Kim <http://oops.org> 1:5.5.22-1%{?dist}
- update 5.5.22
- enhanced mysbox if sandbox is only 1 exists.
- fixed default sock path

* Fri Mar 16 2012 JoungKyun.Kim <http://oops.org> 1:5.5.21-2%{?dist}
- add logrotate file

* Wed Mar 07 2012 JoungKyun.Kim <http://oops.org> 1:5.5.21-1%{?dist}
- packaged with mysql.com binaries.
- support sandbox
- add tuning scripts
